Update an auto-forward rule

PATCH
/auto-forward-rules/{ruleId}

At least one field; forwardTo and conditionValue cannot be emptied (pause a rule with isActive: false). A rule makes email leave the workspace without human action.

Authorization

apiKey
Authorization<token>

Your 48 character Emelia API key, the same as for the Emelia API, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api. Disabling a key can take up to 5 minutes to apply to the Inbox API.

In: header

Path Parameters

ruleId*string

Auto-forward rule id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

At least one field; conditionValue and forwardTo cannot be emptied.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/auto-forward-rules/cmfwacme0000000000000001" \  -H "Authorization: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "isActive": false  }'
{  "rule": {    "id": "cmfwacme0000000000000001",    "conditionField": "label",    "conditionValue": "Interested",    "forwardTo": "sales@acme.com",    "mode": "normal",    "isActive": false,    "createdAt": "2026-10-01T13:00:00.000Z",    "updatedAt": "2026-10-01T13:00:00.000Z"  }}